<?php

use \Model\ExamplesModel;

class Controller_Examples extends Controller_Template {
	
	// FILE UPLOAD --------------------------------------------

	public function action_fileio() {
		$data = array();
		
		$data['values'] = ExamplesModel::get_values();

		$this->template->title = 'File I/O Page';
		$this->template->subtitle = 'File I/O Example'; 
		$this->template->content = View::forge('examples/fileio', $data);
	}
	
	public function post_fileio() {
		$config = array(
			'path' => DOCROOT.'files/uploads',
			'ext_whitelist' => array('csv'),
		);
		
		Upload::process($config);

		if (Upload::is_valid()) {
			$new_file = Upload::get_files(0)['name'];
			
			// var_dump can show the type and value of a variable!
			//~ var_dump($new_file);
			//~ die();
			
			if(File::exists(DOCROOT . 'files/uploads')) {
				File::delete(DOCROOT . 'files/uploads/' . $new_file);
				Upload::save();
			}
			else {
					Upload::save();
			}
			
			//Upload::save(DOCROOT . 'files/uploads');
			$data['values'] = ExamplesModel::load_file(DOCROOT . 'files/uploads/' . $new_file);

			$this->template->title = 'File I/O Page';
			$this->template->subtitle = 'File I/O Example';
			$this->template->content = View::forge('examples/fileio', $data);
		} else {
			foreach (Upload::get_errors() as $file) { 
				echo var_dump($file); 
			}
		}
	}


}
