<?php

namespace Model;

class ExamplesModel extends \Model {
	
	public $sheet = array();
	
	// FILE I/O ------------------------------------------------------------
	
	public static function get_values() {
		return ExamplesModel::load_file(DOCROOT . 'files/charsheet.csv');
	}
	
	public static function load_file($fname) {
		$charf = array_map('str_getcsv', file($fname));
		
		$sheet['level'] = $charf[0][0];
		$sheet['name'] = $charf[0][1];
		$sheet['class'] = $charf[0][2];
		$sheet['ability'] = array(
			'Strength' => $charf[0][3], 
			'Agility' => $charf[0][4], 
			'Intelligence' => $charf[0][5], 
			'Toughness' => $charf[0][6] );

		// Calculate character's Lifepoints
		$sheet['life'] = $sheet['ability']['Toughness'] * $sheet['level'];

		// Calculate ability bonus
		$sheet['bonus'] = array(
			floor( $charf[0][3]/2 ), 
			floor( $charf[0][4]/2 ), 
			floor( $charf[0][5]/2 ), 
			floor( $charf[0][6]/2 ) );
			
		return $sheet;
	}
		
}
